KNSBookmarkImporter Class Reference

`#include <kbookmarkimporter_ns.h>`

Inherits QObject.

## Signals

void | newBookmark (const QString &text, const QCString &url, const QString &additionalInfo)
void | newFolder (const QString &text, bool open, const QString &additionalInfo)
void | newSeparator ()
void | endFolder ()

## Public Member Functions

| KNSBookmarkImporter (const QString &fileName)
void | parseNSBookmarks ()
void | parseNSBookmarks (bool utf8)

## Static Public Member Functions

static QString | netscapeBookmarksFile (bool forSaving=false)
static QString | mozillaBookmarksFile (bool forSaving=false)

## Protected Attributes

QString | m_fileName

## Detailed Description

A class for importing NS bookmarks.

Deprecated:

Definition at line 37 of file kbookmarkimporter_ns.h.

The documentation for this class was generated from the following files:

- kbookmarkimporter_ns.h
- kbookmarkimporter_ns.cc

KDE Home | KDE Accessibility Home | Description of Access Keys